/// pictures : ["/opt/picture//userfiles/8affd75130794659956ce53b7de3a299/程序附件/image/taskPictures/image_20231024104522498_0.png"]

class UploadMultifile {
  UploadMultifile({
    List<String>? pictures,
  }) {
    _pictures = pictures;
  }

  UploadMultifile.fromJson(dynamic json) {
    _pictures = json['pictures'] != null ? json['pictures'].cast<String>() : [];
  }

  List<String>? _pictures;

  UploadMultifile copyWith({
    List<String>? pictures,
  }) =>
      UploadMultifile(
        pictures: pictures ?? _pictures,
      );

  List<String>? get pictures => _pictures;

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['pictures'] = _pictures;
    return map;
  }
}
